#! /bin/sh

#
# @(#) HPU installation script (entry point) (Full, Try & Buy, Workgroups)
# 

#


### DEBUG ###
# set -x
set -u
### FIN DEBUG ###


###########################################################################
# DisplaySyntax
###########################################################################

# 
# 
#


DisplaySyntax ()
{
    echo "Usage:"
    echo "-h        Help"
    echo "-d path   Sets installation directory"
    echo ""
}





###########################################################################
# main
###########################################################################

# 
# -h        Help
# -d path   Installation directory
# 
# 
# 

RETURN_CODE=0


FILE_TRACE="trace_install"
FILE_TRACE_ERROR="trace_error_install"
FILE_TRACE_WARNING="trace_warning_install"




# Obtention du chemin complet du repertoire ou se trouve le script d'installation

DIR_INSTALLER=`\dirname $0`
DIR_INSTALLER=`\cd "${DIR_INSTALLER}" ; \pwd`

# echo "DIR_INSTALLER : \"${DIR_INSTALLER}\" "




# Command line parsing




DIR_INSTALLATION=""
UNKNOWN_OPTION=0


while getopts :hd: OPTION
do
    case "${OPTION}" in
    h)
        DisplaySyntax
        exit 0
        ;;
        
    d)
        DIR_INSTALLATION="${OPTARG}"
        # echo "Argument option ${OPTARG}"
        ;;
        
    ?)
        echo "Unknown option" 1>&2
        exit 1
        ;;   
    esac 
done



### echo "OPTIND : $OPTIND"
### echo $*
### echo "Nombre d'arguments : $#"

shift `expr "${OPTIND}" - 1`

### echo $*
### echo "Nombre d'arguments (apres shift) : $#"
### echo "DIR_INSTALLATION  : \"${DIR_INSTALLATION}\" "


# if [ "${DIR_INSTALLATION}" = "" ]
# then
#     echo "Missing -d option or specified value is missing"
#     exit 1
# fi




# Main script 

"${DIR_INSTALLER}/installer_setup.sh" "INST" \
  "${FILE_TRACE}" "${FILE_TRACE_ERROR}" "${FILE_TRACE_WARNING}" "${DIR_INSTALLATION}"
RETURN_CODE=$?



exit ${RETURN_CODE}

